// EyeBot Demo Program: SERVO output, T. Bräunl, June 2016
#include "eyebot.h"

int main()
{ int up = 1000, key;
  LCDMenu("+", "-", "", "END");
  wiringPiSetupGpio();
  
  do
  { digitalWrite(26, 1);
      delayMicroseconds(up);
    digitalWrite(26, 0);
      delayMicroseconds(20000 - up);
      
    key = KEYRead();
    if (key==KEY1) up +=100;
    if (key==KEY2) up -=100;
    LCDSetPrintf(0,0, "%5d", up);
    
  } while (key != KEY4);
  return 0;
}

